<template>
  <div>
    <div
      class="font-bold text-28px text-white pl-2 pb-1 mb-5 relative leading-none"
    >
      <svg-icon
        class="absolute left-0 bottom-0 z-0"
        style="width: 22px; height: 22px"
        name="icon-title"
      />
      <span class="relative">{{ blockTitle }}</span>
    </div>
    <!-- List category -->
    <div class="mb-22px">
      <div
        class="overflow-auto w-full whitespace-no-wrap flex flex-no-wrap items-center text-white text-base space-x-3 "
      >
        <div class="hover:text-green-spring"><a href="#">Mobile</a></div>
        <div class="hover:text-green-spring"><a href="#">Laptop & PC</a></div>
        <div class="hover:text-green-spring"><a href="#">Gear</a></div>
        <div class="hover:text-green-spring"><a href="#">Game</a></div>
        <div class="hover:text-green-spring"><a href="#">Khoa học</a></div>
        <div class="hover:text-green-spring"><a href="#">Xe</a></div>
        <div class="text-gray-medium hover:text-green-spring leading-none">
          <a href="#" class="flex items-center">
            <span>Tất cả</span>
            <svg-icon name="arrow-right" class="w-2 h-2 ml-1"></svg-icon>
          </a>
        </div>
      </div>
    </div>
    <!-- List post -->
    <div class="md:flex md:space-x-5">
      <div class="mb-4 md:w-6/12 md:mb-0">
        <ItemGridHeight :item="itemgridheight" />
      </div>
      <div class="md:w-6/12">
        <div
          class="pb-4 mb-4 border-solid border-b border-white border-opacity-15 md:border-b-0 md:mb-30px md:pb-0"
        >
          <ItemGrid :item="itemgrid" />
        </div>
        <div class="space-y-5">
          <ItemListSmallLight
            v-for="(item, index) in items"
            :key="'item' + index"
            :item="item"
          />
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: 'CategoryFirst',
  components: {
    ItemGridHeight: () => import('~/components/common/ItemGridHeight'),
    ItemGrid: () => import('~/components/common/ItemGrid'),
    ItemListSmallLight: () => import('~/components/common/ItemListSmallLight')
  },
  props: {
    blockTitle: {
      type: String,
      default: ''
    }
  },
  data() {
    return {
      itemgridheight: {
        title: 'Đã có iPhone 11 sản xuất bên ngoài Trung Quốc',
        image: '/itemgrid-height.png',
        content: ''
      },
      itemgrid: {
        title: 'Lợi thế của sạc nhanh trên smartphone',
        image: '/remarkable-01.png',
        content: ''
      },
      items: [
        {
          title: 'Dell Latitude 3510 - thiết kế nhỏ gọn, chip Intel Core 10',
          image: '/remarkable-01.png',
          content: ''
        },
        {
          title: 'Giá smartphone ngày càng đắt có phải do các hãng tham lam?',
          image: '/remarkable-02.png',
          content: ''
        },
        {
          title: 'Cách biến hóa màn hình đục lỗ trên Realme 6 Series',
          image: '/remarkable-03.png',
          content: ''
        }
      ]
    }
  }
}
</script>
